import {WebSocketServer} from 'ws';

let server: WebSocketServer;

/** Logs something with a socket prefix */
const log = (msg: string) => console.log(`[ActionSocket] ${msg}`);

/** Starts the socket server */
export const startServer = (port: number = 8674) => {
    server = new WebSocketServer({port});
    log(`Listening on port ${port}`);
}